lp:ubuntu/wily/granite

Created by Ubuntu Package Importer on 2015-05-07 and last modified on 2015-10-22
Get this branch:
bzr branch lp:ubuntu/wily/granite
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

8. By Logan Rosen on 2015-10-22

Include upstream patch to fix about dialog crash/implicit pointer
conversion, causing FTBFS on 64-bit arches.

7. By Logan Rosen on 2015-10-22

Cherrypick fixes from upstream for FTBFS with Vala 0.28.

6. By Sergey "Shnatsel" Davidoff on 2014-10-29

* Fix build on valac 0.25.2 and later by cherrypicking an upstream patch.
* debian/control:
  - Update Standards Version to 3.9.6, no changes needed.
  - Do not pre-depend on multiarch-support directly.
  - Provide Vcs-Bzr and Vcs-Browser fields.
* debian/copyright:
  - Fix short names for BSD licenses.
  - Supply the correct path to granite-demo .vala file.
  - Drop copyright info for nonexistent lib/GtkPatch/gtkpatch-utils.c

[ Iain Lane ]
* Install typelib files into MA libdir and build-depend on the version of
  gobject-introspection which started supporting this (Closes: #767090).

5. By Iain Lane on 2014-10-28

* Install typelib files into MA libdir and BD on the version of g-i
  which started supporting this
* fix-destructor-name.patch, vala-0.26-support.patch: Cherry-pick two
  patches from upstream to fix FTBFS with vala 0.26.

4. By Sergey "Shnatsel" Davidoff on 2014-05-22

* New upstream bzr snapshot (Closes: #722522).
* New maintainer (Closes: #748123).
* debian/control:
  - Update package versions in Build-Depends.
  - Update package descriptions.
  - Drop gir1.2-glib-2.0, libgee-dev, dh-exec from Build-Depends.
  - Update Standards Version to 3.9.5:
    + Drop obsolete DM-Upload-Allowed flag.
  - Set myself as maintainer.
  - Rename libgranite0 to libgranite2.
  - Rename libgranite0-dbg to libgranite2-dbg.
  - Rename gir1.2-granite-0.1 to gir1.2-granite-1.0.
  - Add libgranite-common binary package.
  - Remove Multi-Arch field for libgranite-dev.
  - Update Depends and Recommends for libgranite2.
  - Update Depends for libgranite-dev.
* debian/copyright:
  - Update licensing information.
  - Update copyright years.
  - Add new copyright holders.
* Update symbols files.
* Update debian/*.install files.
* Drop debian/README.source.
* Fix debian/watch.
* debian/rules:
  - Build package with --parallel.
  - Use xz for compression.
  - Add --fail-missing to dh_install.
  - Set check level for dpkg-gensymbols to 1.
  - Set dbg-package for dh_strip to libgranite2-dbg.

3. By Devid Antonio Filoni on 2012-09-02

* debian/control: set Multi-Arch field to foreign in gir1.2-granite-0.1
  package section.
* debian/rules: use gobject-introspection debhelper sequence.
* debian/control: set gobject-introspection minimum version to 1.31.0-2
  in Build-Depends field.
* debian/control: add gir1.2-granite-0.1 (= ${binary:Version}) to
  libgranite-dev Depends field.
* debian/copyright: update Format field.
* Bump Standards-Version to 3.9.3.1.

[ Luca Falavigna ]
* debian/control: add DM-Upload-Allowed field.

2. By Devid Antonio Filoni on 2012-06-09

Initial release (Closes: #659539).

1. By Devid Antonio Filoni on 2012-06-09

Import upstream version 0.1.0+dfsg

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/granite
This branch contains Public information 
Everyone can see this information.

Subscribers